gyhk02 发表于 2013-2-19 07:58:53

Rhino.AddSweep2 如何"加入控制断面"?

我想要做一个双轨扫掠的功能,但是要在中间加入控制断面

下面为我写的错误代码,请大虾帮忙修正修正,谢了!

Dim arrRails(1), arrShapes(1)
Dim curve1, curve2, line1, line2
curve1 = rhino.GetObject("select first rail curve", 4)
curve2 = rhino.GetObject("select second rail curve", 4)
arrRails(0) = curve1
arrRails(1) = curve2
line1 = rhino.GetObject("select first cross-section curve", 4)
line2 = rhino.GetObject("select second cross-section curve", 4)
arrShapes(0) = line1
arrShapes(1) = line2
Dim arrpoint1, arrpoint2
arrpoint1 = rhino.DivideCurveEquidistant(curve1, 1)
arrpoint2 = rhino.DivideCurveEquidistant(curve2, 1)
Call Rhino.AddSweep2(arrRails, arrShapes, arrpoint1, arrpoint2)

newbhoho 发表于 2013-2-19 09:16:42

支持,看不明白

gyhk02 发表于 2013-2-19 13:17:04

谢谢关注,我明白了,这是不可能的,思路错了。
双轨扫掠时。因该是先加断面曲。

结贴

quiyu 发表于 2017-3-20 16:34:17

:)

quiyu 发表于 2017-3-21 07:40:11

:)
页: [1]
查看完整版本: Rhino.AddSweep2 如何"加入控制断面"?